Bug 1614935 - Permission denied opening suricata-command.socket
Summary: Permission denied opening suricata-command.socket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: suricata
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-10 19:13 UTC by Jason Taylor
Modified: 2018-08-30 03:38 UTC (History)
4 users (show)

Fixed In Version: suricata-4.0.5-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 03:38:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Taylor 2018-08-10 19:13:44 UTC
Description of problem:
Unix socket: UNIX socket bind(/var/run/suricata/suricata-command.socket) error: Permission denied
    Unable to create unix command socket

Version-Release number of selected component (if applicable):
4.0.5

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
To resolve this error, update /usr/lib/tmpfiles.d/suricata.conf

d /run/suricata 0775 root suricata -

Comment 1 Jason Taylor 2018-08-10 19:14:33 UTC
reference:
https://redmine.openinfosecfoundation.org/issues/2575

Comment 2 Steve Grubb 2018-08-13 19:26:58 UTC
This should be fixed in suricata-4.0.5-3.el7.

Comment 3 Fedora Update System 2018-08-13 19:28:56 UTC
suricata-4.0.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fbc9409354

Comment 4 Fedora Update System 2018-08-14 21:19:37 UTC
suricata-4.0.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fbc9409354

Comment 5 Fedora Update System 2018-08-30 03:38:12 UTC
suricata-4.0.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.